Foxit PDF SDK

Public Member Functions | List of all members
FoxitPDFSDKPython3.CertificateSecurityCallback Class Reference
Inheritance diagram for FoxitPDFSDKPython3.CertificateSecurityCallback:

## Public Member Functions
def | GetDecryptionKey (envelope_buffer, envelope_length)
| A callback function used to get the key for decrypting certificate protected PDF document. More...
def | GetSecurityType ()
| Get the encryption type of current security callback. More...
Public Member Functions inherited from FoxitPDFSDKPython3.SecurityCallback
def | Release ()
| A callback function used to release current callback object itself. More...

## Detailed Description

This class represents a callback object for certificate decryption. If user wants to use their own certificate security callback, user should inherit this callback class and implement the pure virtual functions (as callback functions), and then register their own certificate security callback object to Foxit PDF SDK by function FoxitPDFSDKPython3.Library.RegisterSecurityCallback with filter "Adobe.PubSec". Function FoxitPDFSDKPython3.Library.UnregisterSecurityCallback can be called to unregister the security callback object with the registered filter name.

## Member Function Documentation

## ◆ GetDecryptionKey()

def FoxitPDFSDKPython3.CertificateSecurityCallback.GetDecryptionKey | ( |  | envelope_buffer,
|  |  | envelope_length
| ) |  |

A callback function used to get the key for decrypting certificate protected PDF document.

Parameters

  [in] | envelope_buffer | A buffer which represents a certificate envelope.
  [in] | envelope_length | Length of certificate envelope buffer, in bytes.

Note
  User should implement this callback function.

Returns
  The decryption key.

## ◆ GetSecurityType()

def FoxitPDFSDKPython3.CertificateSecurityCallback.GetSecurityType | ( |  | ) |

Get the encryption type of current security callback.

Note
  User should not override this function, otherwise there will be unexpected behavior.

Returns
  The encryption type. It would always be FoxitPDFSDKPython3.PDFDoc.e_EncryptCertificate .

Reimplemented from FoxitPDFSDKPython3.SecurityCallback.